<?php
/*
 * Simple Portal Extra Shoutbox Options v1.72x
 * Developed for SMF forums c/o Chen Zhen @ http://web-develop.ca
 * Copyright 2013 - 2018 noreply@web-develop.ca
 * This software package is distributed under the terms of the GNU General Public License
 * https://www.gnu.org/licenses/gpl.txt
 */

function template_portal_popup()
{
	global $context, $settings, $options, $txt, $scripturl;

	// Since this is a popup of its own we need to start the html, etc.
	echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"', $context['right_to_left'] ? ' dir="rtl"' : '', '>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=', $context['character_set'], '" />
		<meta name="robots" content="noindex" />
		<title>', $context['page_title'], '</title>
		<link rel="stylesheet" type="text/css" href="', $settings['theme_url'], '/css/index.css" />
		<script type="text/javascript" src="', $settings['default_theme_url'], '/scripts/script.js"></script>
	</head>
	<body id="portal_popup" onblur="self.focus();">
		<div class="windowbg description" style="', $context['portal_current_style'], '">
			<form id="myform" action="' . $scripturl . '?action=sportal_edit_shout" method="POST">
				', $context['portal_current_view'], '<br />
				<textarea id="edit"', (!empty($context['portal_current_charlimit']) ? ' maxlength="' . (int)$context['portal_current_charlimit'] . '"' : ''),' onKeyPress="runScript();return true;" rows="3" cols="65" name="edit" style="' . ($context['browser']['is_ie8'] ? 'width: 635px; max-width: 85%; min-width: 85%; margin-left: 5px;' : 'width: 85%; margin-left: 5px;') . ';">', $context['portal_current_text'], '</textarea>
				<br /><br />
				<input id="submit" type="submit" name="submit" value="', $txt['save'], '" style="float: right;margin-right: 5px;margin-bottom: 10px;" class="button_submit" />
				<input type="hidden" name="shout" value="', $context['portal_text_id'], '" />
				<input type="hidden" name="', $context['session_var'], '" value="', $context['session_id'], '" />
			</form>
		<span style="margin-left: 5px;">
			<a id="portal_popup_close" href="javascript:self.close();">' . $txt['sp_shoutbox_exit_popup'] . '</a>
		</span>
		</div>', $context['portal_popup_close'], '
		<script type="text/javascript"><!-- // --><![CDATA[
			function runScript()
			{
				document.getElementById("edit").addEventListener("keypress", function(e){
					if (e.keyCode == 13){
						e.preventDefault();
						document.getElementById("edit").innerHTML.trim();
					}
				},false);
			}
		// ]]></script>
	</body>
</html>';
}
?>